Package com.google.protobuf

# Class GeneratedMessageV3.Builder<BuilderT extends GeneratedMessageV3.Builder<BuilderT>>

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessage.ExtendableBuilder<GeneratedMessageV3,BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<BuilderT>

All Implemented Interfaces:
  `GeneratedMessage.ExtendableMessageOrBuilder<GeneratedMessageV3>`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Direct Known Subclasses:
  `GeneratedMessageV3.ExtendableBuilder`

Enclosing class:
  `GeneratedMessageV3`

@Deprecated public abstract static class GeneratedMessageV3.Builder<BuilderT extends GeneratedMessageV3.Builder<BuilderT>> extends GeneratedMessage.ExtendableBuilder<GeneratedMessageV3,BuilderT>
Deprecated.
This class is deprecated, and slated for removal in the next Java breaking change (5.x). Users should update gencode to >= 4.26.x which uses GeneratedMessage.Builder instead.
Stub for GeneratedMessageV3.Builder wrapping GeneratedMessage.Builder for compatibility with older gencode.

Extends GeneratedMessage.ExtendableBuilder instead of GeneratedMessage.Builder to allow "multiple inheritance" for GeneratedMessageV3.ExtendableBuilder subclass.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Builder()`
Deprecated.
`protected`
`Builder(GeneratedMessageV3.BuilderParent builderParent)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`BuilderT`
`addRepeatedField(Descriptors.FieldDescriptor field, Object value)`
Deprecated.
`BuilderT`
`clear()`
Deprecated.
`BuilderT`
`clearField(Descriptors.FieldDescriptor field)`
Deprecated.
`BuilderT`
`clearOneof(Descriptors.OneofDescriptor oneof)`
Deprecated.
`BuilderT`
`clone()`
Deprecated.
`protected GeneratedMessageV3.BuilderParent`
`getParentForChildren()`
Deprecated.
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Deprecated.
`BuilderT`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Deprecated.
`BuilderT`
`setField(Descriptors.FieldDescriptor field, Object value)`
Deprecated.
`BuilderT`
`setRepeatedField(Descriptors.FieldDescriptor field, int index, Object value)`
Deprecated.
`BuilderT`
`setUnknownFields(UnknownFieldSet unknownFields)`
Deprecated.

### Methods inherited from class com.google.protobuf.GeneratedMessage.ExtendableBuilder

`addExtension, clearExtension, extensionsAreInitialized, getAllFields, getExtension, getExtension, getExtensionCount, getField, getFieldBuilder, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, hasExtension, hasField, isInitialized, mergeExtensionFields, newBuilderForField, parseUnknownField, setExtension, setExtension`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`getDescriptorForType, getOneofFieldDescriptor, getUnknownFields, getUnknownFieldSetBuilder, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, onBuilt, onChanged, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getDefaultInstanceForType`

### Methods inherited from interface com.google.protobuf.Message.Builder

`build, buildPartial, mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getInitializationErrorString, getOneofFieldDescriptor, getUnknownFields, hasOneof`

## Constructor Details

### Builder

@Deprecated protected Builder()
Deprecated.

### Builder

@Deprecated protected Builder(GeneratedMessageV3.BuilderParent builderParent)
Deprecated.

## Method Details

### clone

@Deprecated public BuilderT clone()
Deprecated.
Description copied from interface: `MessageLite.Builder`
Clones the Builder.

Specified by:
  `clone` in interface `Message.Builder`
Specified by:
  `clone` in interface `MessageLite.Builder`
Overrides:
  `clone` in class `GeneratedMessage.Builder<BuilderT extends GeneratedMessageV3.Builder<BuilderT>>`
See Also:
  - `Object.clone()`

### clear

@Deprecated public BuilderT clear()
Deprecated.
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.ExtendableBuilder<GeneratedMessageV3,BuilderT extends GeneratedMessageV3.Builder<BuilderT>>`

### internalGetFieldAccessorTable

@Deprecated protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Deprecated.
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<BuilderT extends GeneratedMessageV3.Builder<BuilderT>>`

### setField

@Deprecated public BuilderT setField(Descriptors.FieldDescriptor field, Object value)
Deprecated.
Description copied from interface: `Message.Builder`
Sets a field to the given value. The value must be of the correct type for this field, that is, the same type that `MessageOrBuilder.getField(Descriptors.FieldDescriptor)` returns.

Specified by:
  `setField` in interface `Message.Builder`
Overrides:
  `setField` in class `GeneratedMessage.ExtendableBuilder<GeneratedMessageV3,BuilderT extends GeneratedMessageV3.Builder<BuilderT>>`

### clearField

@Deprecated public BuilderT clearField(Descriptors.FieldDescriptor field)
Deprecated.
Description copied from interface: `Message.Builder`
Clears the field. This is exactly equivalent to calling the generated "clear" accessor method corresponding to the field.

Specified by:
  `clearField` in interface `Message.Builder`
Overrides:
  `clearField` in class `GeneratedMessage.ExtendableBuilder<GeneratedMessageV3,BuilderT extends GeneratedMessageV3.Builder<BuilderT>>`

### clearOneof

@Deprecated public BuilderT clearOneof(Descriptors.OneofDescriptor oneof)
Deprecated.
Description copied from class: `AbstractMessage.Builder`
TODO: Clear it when all subclasses have implemented this method.

Specified by:
  `clearOneof` in interface `Message.Builder`
Overrides:
  `clearOneof` in class `GeneratedMessage.Builder<BuilderT extends GeneratedMessageV3.Builder<BuilderT>>`

### setRepeatedField

@Deprecated public BuilderT setRepeatedField(Descriptors.FieldDescriptor field, int index, Object value)
Deprecated.
Description copied from interface: `Message.Builder`
Sets an element of a repeated field to the given value. The value must be of the correct type for this field; that is, the same type that `MessageOrBuilder.getRepeatedField(Descriptors.FieldDescriptor,int)` returns.

Specified by:
  `setRepeatedField` in interface `Message.Builder`
Overrides:
  `setRepeatedField` in class `GeneratedMessage.ExtendableBuilder<GeneratedMessageV3,BuilderT extends GeneratedMessageV3.Builder<BuilderT>>`

### addRepeatedField

@Deprecated public BuilderT addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Deprecated.
Description copied from interface: `Message.Builder`
Like `setRepeatedField`, but appends the value as a new element.

Specified by:
  `addRepeatedField` in interface `Message.Builder`
Overrides:
  `addRepeatedField` in class `GeneratedMessage.ExtendableBuilder<GeneratedMessageV3,BuilderT extends GeneratedMessageV3.Builder<BuilderT>>`

### setUnknownFields

@Deprecated public BuilderT setUnknownFields(UnknownFieldSet unknownFields)
Deprecated.
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessage.Builder<BuilderT extends GeneratedMessageV3.Builder<BuilderT>>`

### mergeUnknownFields

@Deprecated public BuilderT mergeUnknownFields(UnknownFieldSet unknownFields)
Deprecated.
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessage.Builder<BuilderT extends GeneratedMessageV3.Builder<BuilderT>>`

### getParentForChildren

@Deprecated protected GeneratedMessageV3.BuilderParent getParentForChildren()
Deprecated.
Description copied from class: `GeneratedMessage.Builder`
Gets the `AbstractMessage.BuilderParent` for giving to our children.

Overrides:
  `getParentForChildren` in class `GeneratedMessage.Builder<BuilderT extends GeneratedMessageV3.Builder<BuilderT>>`
Returns:
  The builder parent for our children.